EXP1803 - Developing #154

Ucnonb3oBaHue NMPOTOHa B COCTaBe ny4dka
03/01/2018 12:11 PM - Ivan Muzalevsky

Status: 3akpbiTa Start date: 03/01/2018
Priority: HopmanbHbliii Due date: 03/15/2018
Assignee: Vitaliy Schetinin % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

BoaHukna 3apaya Mcrnofib30BaHNs NPOTOHA (BO3MOXHO B OyAyleM 1 OCTaNbHbIX YacTuL, UMEIOLMX CBOM COBCTBEHHbIN 0cobbIi pdg
) B coctaee lonMixGenerator. Bbino ycraHosneHo, 4to Meton generator->AddBackgroundlon("proton”, 1, 1, 1, 0.2/ 0.20); paboTaeT
KPWBO. 1 HY>XXHO ncnonb3oBatb FairBoxGenerator. Ha fJaHHbIA MOMEHT BK/HOYaTb 3TW YacTuLbl B 06WMii HABOP UCMYCKAEMbIX MOHOB
MO>XHO TONIbKO merge'em out-goainnos cuMy naunm.

Pesynbrathbl
Lo6aBnsiTb NPOTOH K 0bueMy kokneiTio yacTuy B lonMixGenerator MOXHO fenatb cnenyiowmm o6pasom:

FairPrimaryGenerator* primGen = new FairPrimaryGenerator();
primGen->AddGenerator(generator);

primGen->AddGenerator(generatori);

roe generator1 sensietcs o6bekToM lonMixGenerator, a generator - FaiBoxGenerator

History

#1 - 03/02/2018 09:19 AM - Vitaliy Schetinin

Mbl yBEpEHbI, 4TO XOTVUM NPOTOH paccMaTpuBaTh Kak Yyactuuy, caenasuwyto cobbiTue B setup-e? Mnm Mbl xoTiM £06aBUTb ero OOHOM B COObITUS
KOTOpble AENalT NOHbI?

To 4TO OMKMCaHO B 3ana4e 3TO NepBbIfi BApMaH 1 ero Haao AECTBUTENbHO AenaTtb. BTopoi BapMHaT MOXHO yXe caenatb, UCNonb30BaBs ABa
reHepaTopopa B cobbiTun: ERlonMixGenerator n FairBoxGenerator(TyT He HALO MEPLXMUTb HAYETO).

#2 - 03/26/2018 10:32 AM - lvan Muzalevsky
- Status changed from Orkpeita to 3akpbiTa
- % Done changed from 0 to 100

Mpobnema pewweHa

#3 - 03/27/2018 05:17 PM - lvan Muzalevsky

- Description updated
